Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.context.control
Class ContextSaveListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.context.control.AbstractContextListener
              org.deegree.portal.standard.context.control.ContextSaveListener

All Implemented Interfaces:
  EventListener, WebListener

    public class ContextSaveListener

extends AbstractContextListener

This class saves a new context based on changes made by the user (on the client) and based on the original context xml.
Files are saved under .../WEB-INF/xml/users/some_user, where some_user is passed as an RPC parameter. Files should be saved with .xml extension because the default load context listener class looks up those files.

Version:
  $Revision: 21347 $, $Date: 2009-12-09 17:04:39 +0100 (Mi, 09. Dez 2009) $
Author:
  Ugo Taddei, Andreas Poth, last edited by: $Author: jmays $

Constructor Summary
`ContextSaveListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected static void` | `internalSave(OutputStream os, Document doc)` common method to save xml
`static void` | `saveDocument(ViewContext vc, String filename)` saves the new context as xml

Methods inherited from class org.deegree.portal.standard.context.control.AbstractContextListener
`changeBBox, changeLayerList, extractBBox, extractBBox, extractRPCParameters, extractRPCStruct, getContextList, getUserName, getUserPassword, getUsersStartContext, readSessionID, transformToHtmlMapContext`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextSaveListener

    public ContextSaveListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### saveDocument

    public static final void saveDocument(ViewContext vc,
                                          String filename)
                                   throws PortalException

  saves the new context as xml

  Parameters:
    `vc` -
    `filename` -
  Throws:
    `PortalException`

### internalSave

    protected static void internalSave(OutputStream os,
                                       Document doc)
                                throws PortalException

  common method to save xml

  Parameters:
    `os` -
    `doc` -
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org